/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.engine.cache;


import com.funambol.framework.engine.SyncItemKey;

/**
 *
 * @version $Id: CrcSyncItemInfo.java,v 1.1 2006/02/21 11:05:36 gbmiglia Exp $
 */
public class CrcSyncItemInfo {

    // -------------------------------------------------------------- Properties

    /**
     *
     */
    private long lastCrc;


    /**
     *
     */
    private SyncItemKey key;


    /**
     *
     * @return lastCrc long
     */
    public long getLastCrc() {
        return lastCrc;
    }

    /**
     *
     * @param lastCrc long
     */
    public void setLastCrc(long lastCrc) {
        this.lastCrc = lastCrc;
    }

    /**
     *
     * @return SyncItemKey
     */
    public SyncItemKey getKey() {
        return key;
    }

    /**
     *
     * @param key SyncItemKey
     */
    public void setKey(SyncItemKey key) {
        this.key = key;
    }

    /**
     *
     * @param key String
     */
    public void setKey(String key) {
        this.key = new SyncItemKey(key);
    }

    // ------------------------------------------------------------ Constructors

    /**
     *
     */
    public CrcSyncItemInfo() {
    }


    /**
     *
     *
     * @param sKey String
     * @param lastCrc long
     */
    public CrcSyncItemInfo(String sKey, long lastCrc) {
        SyncItemKey key = new SyncItemKey(sKey);
        this.key     = key;
        this.lastCrc = lastCrc;
    }

    /**
     *
     *
     * @param key SyncItemKey
     * @param lastCrc long
     */
    public CrcSyncItemInfo(SyncItemKey key, long lastCrc) {
        this.key     = key;
        this.lastCrc = lastCrc;
    }


}
