/**
 * Copyright (C) 2005-2006 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.funambol.email.items.model;

import com.funambol.email.util.Def;


/**
 *
 * @version $Id: ItemFolder.java,v 1.3 2006/04/03 16:41:12 gbmiglia Exp $
 */
public class ItemFolder {

    /**   id  */
    private String  GUID = null ; // folder id (FID: stored in the local DB)

    /**  name  */
    private String  name = null ; // folder name

    /**  parent id  */
    private String  parentId = null ; // parent folder id (FID)


    /**  origination date   */
    private String created = null;
    /**  accessed date   */
    private String accessed = null;
    /**  modified date   */
    private String modified = null;

    /** role  */
    private String role = null;
    /** attributes  */
    private String attributes = null;



    /**
     * the uid contains:
     * -  FID : parent folder id
     * -  separator (/)
     * -  UID : folder id
     *
     *
     * @param GUID folder id
     * @param name String
     * @param parentId String
     * @param created String
     * @param accessed String
     * @param modified String
     * @param role String
     * @param attributes String
     */
    public ItemFolder(String GUID,
                      String name,
                      String parentId,
                      String created,
                      String accessed,
                      String modified,
                      String role,
                      String attributes) {

        this.GUID          = GUID ;
        this.name          = name ;
        this.parentId      = parentId ;

        this.created       = created;
        this.accessed      = accessed;
        this.modified      = modified;

        this.role          = role;
        this.attributes    = attributes;
    }

    /**
     * Returns the id of this Folder
     * @return the id of this Folder
     */
    public String getGUID() {
        return this.GUID;
    }

    /**
     * Sets the id of this Folder
     *
     * @param uid String
     */
    public void setGUID(String uid) {
        this.GUID = GUID;
    }


    /**
     * Returns the name of this Folder
     * @return the name of this Folder
     */
    public String getName() {
        return this.name;
    }

    /**
     * Returns the parent id of this Folder
     * @return the parent id of this Folder
     */
    public String getParentId() {
        return this.parentId;
    }

    /**
     * sets the parent id of this Folder
     *
     * @param parentId String
     */
    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    /**
     * Returns the origination date of this Folder
     * @return the origination date of this Folder
     */
    public String getCreated() {
        return this.created;
    }

    /**
     * Returns the accessed date of this Folder
     * @return the accessed date of this Folder
     */
    public String getAccessed() {
        return this.accessed;
    }

    /**
     * Returns the modified date of this Folder
     * @return the modified date of this Folder
     */
    public String getModified() {
        return this.modified;
    }

    /**
     * Returns the role of this Folder
     * @return the role of this Folder
     */
    public String getRole() {
        return this.role;
    }

    /**
     * Returns the attributes of this Folder
     * @return the attributes of this Folder
     */
    public String getAttributes() {
        return this.attributes;
    }

}
